Subject: Re: [RFC PATCH] Fix gitdir detection when in subdir of gitdir

From: SZEDER Gábor <[email-masked]>
Date: Fri, 16 Jan 2009 18:23:46 +0100

On Fri, Jan 16, 2009 at 05:50:45PM +0100, Johannes Sixt wrote:
> Johannes Sixt schrieb:
> > Gábor's patch needs a better justification which misbehavior it tries to
> > fix, and the spot that it changes:
> 
> I actually meant: "which use-case the patch tries to help". Because the
> current behavior can hardly be classified as bug. ("You have no business
> cd-ing around in .git." ;)

I agree that fiddling around in '.git' is a quite rare use case.

I did it while I was working on bash completion support for the
upcoming 'git sequencer' to see where it stores its temporary files
and what is in those files.  And I got errors from the completion
script after each executed command, which quickly made me upset enough
to look after it.

I thought it worths fixing, but it's even better if it's not a bug,
because then I don't have to fix my fix (;

Regards,
Gábor